Description

Currently, we have issues with GLDraw on AMD drivers memory leaks and we didn't find appropriate solution to solve this issue. In my

opinion we should be able to globally disable memory checking when certain run-time conditions occurs. For example we detected that we

are using AMD driver.

Here is the command line that allows us to detect that we are running under AMD driver:

$ lspci -vnn | grep  'VGA'

01:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Tobago PRO [Radeon R7 360 / R9 360

OEM] [1002:665f] (rev 81) (prog-if 00 [VGA controller])

History

#1 - 08/16/2019 10:44 AM - Miroslav Fidler

- Status changed from New to Ready for QA

I have got leaks on my Ryzen2400G linux machine, so I have inserted IgnoreMemoryLeaks blocks into GLCtrl and it seems to have fixed the issue, so no

global fix is required IMO.

#2 - 08/17/2019 11:16 PM - Zbigniew Rebacz

- Status changed from Ready for QA to New

With the latest version of Upp with fix that you are talking about the memory leak issue is still reproducible on my setup (Radeon 580). I think we should

handle it in another way - I think we should add to run dialog - do not check memory leaks on debug.

#3 - 08/22/2019 07:58 PM - Zbigniew Rebacz

- Status changed from New to Approved
